#include <Xm/Xm.h>
#include <stdio.h>
#include <stdlib.h>
#include <Xm/PushB.h>
#include <Xm/TextF.h>
#include <Xm/Form.h>
#include <XmHTML/XmHTML.h>
#include "easysock.h"

void testFunc(Widget,XtPointer,XmPushButtonCallbackStruct *);

int main(int argc,char** argv) {
	Widget window,top_wid,search_bar,search,result;
	XtAppContext app;
	top_wid = XtVaAppInitialize(&app,
			"Web Browser",
			NULL,0,&argc,argv,NULL,NULL);

	window = XtVaCreateManagedWidget("Main Window",
					xmFormWidgetClass,
					top_wid,
					NULL);

	search = XtVaCreateManagedWidget("Search",
					xmPushButtonWidgetClass,
					window,
					XmNtopAttachment,XmATTACH_FORM,
					XmNrightAttachment,XmATTACH_FORM,
					NULL);

	search_bar = XtVaCreateManagedWidget("Search Bar",
					xmTextFieldWidgetClass,
					window,
					XmNleftAttachment,XmATTACH_FORM,
					XmNtopAttachment,XmATTACH_FORM,
					XmNrightAttachment,XmATTACH_WIDGET,XmNrightWidget,search,NULL);


	result = XtVaCreateManagedWidget("HTML Result",
					xmHTMLWidgetClass,
					window,
					XmNbottomAttachment,XmATTACH_FORM,
					XmNrightAttachment,XmATTACH_FORM,
					XmNleftAttachment,XmATTACH_FORM,
					XmNtopAttachment,XmATTACH_WIDGET,XmNtopWidget,search_bar,NULL);

	int val = 5;
	Widget widget_array[] = {search_bar,result};
	XtAddCallback(search,XmNactivateCallback,testFunc,widget_array);



	
	XtRealizeWidget(top_wid);
	XtAppMainLoop(app);
	
}

void testFunc(Widget w, XtPointer client_data, XmPushButtonCallbackStruct *callback_struct) {
	Widget* widget_list = (Widget *)client_data;
	Widget result_widget = widget_list[1];
	Widget text_widget = widget_list[0];
	
	XmHTMLTextSetString(result_widget,"");
//	printf("%d\n",val);
//	exit(2);
}
